<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm"></form>
<p-panel>
    <p-header>
        Follow UP
    </p-header>

    <wizard navBarLayout="large-filled-symbols">
        <wizard-step title="" navigationSymbol="1" navigationSymbolFontFamily="Goudy Stout" (stepEnter)="enterStep($event)">
            <div>
                <label>Proses Follow up dilakukan dengan cara :</label><br>
                <div>
                    <div class="ui-g-12">
                        <p-radioButton name="group1" [value]="FOLLOW_UP_BY_PHONE" label="Telepon" [(ngModel)]="answer.answer01"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group1" [value]="FOLLOW_UP_BY_VISIT" label="Kunjungan" [(ngModel)]="answer.answer01"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group1" [value]="FOLLOW_UP_BY_WALKIN" label="Walk-in" [(ngModel)]="answer.answer01"></p-radioButton>
                    </div>
                </div>
            </div>
            <div>
                <button *ngIf="answer.answer01 != FOLLOW_UP_BY_WALKIN" pButton type="button" [disabled]="answer.answer01 == null" label="LANJUT" icon="" class="ui-button-danger flat-label-button" nextStep>
                </button>

                <button *ngIf="answer.answer01 == FOLLOW_UP_BY_WALKIN" pButton type="button" label="LANJUT" icon="" class="ui-button-danger flat-label-button" goToStep="2">
                </button>

            </div>
        </wizard-step>
        <wizard-step title="" navigationSymbol="2" navigationSymbolFontFamily="Goudy Stout" optionalStep>

            <ng-container *ngIf="answer.answer01 == FOLLOW_UP_BY_PHONE; then phoneresult else visitresult"></ng-container>

            <ng-template #phoneresult>
                <!-- Answer 1 == Telepon -->
                <div>
                    <label>Apakah nomor bisa dihubungi?</label><br>
                    <div>
                        <div class="ui-g-12">
                            <p-radioButton name="group2" value="yes" label="Ya" [(ngModel)]="answer.answer02"></p-radioButton>
                        </div>
                        <div class="ui-g-12">
                            <p-radioButton name="group2" value="no" label="Tidak" [(ngModel)]="answer.answer02"></p-radioButton>
                        </div>
                    </div>
                </div>
            </ng-template>

            <ng-template #visitresult>
                <!-- Answer 1 == Kunjungan -->
                <div>
                    <label>Apakah bisa ditemui?</label><br>
                    <div>
                        <div class="ui-g-12">
                            <p-radioButton name="group2" value="yes" label="Ya" [(ngModel)]="answer.answer02"></p-radioButton>
                        </div>
                        <div class="ui-g-12">
                            <p-radioButton name="group2" value="no" label="Tidak" [(ngModel)]="answer.answer02"></p-radioButton>
                        </div>
                    </div>
                </div>
            </ng-template>

            <div>
                <button pButton type="button" label="KEMBALI" icon="" class="ui-button-danger flat-label-button" previousStep>
                </button>
                <button pButton type="button" label="LANJUT" icon="" class="ui-button-danger flat-label-button" nextStep>
                </button>
            </div>
        </wizard-step>
        <wizard-step title="" navigationSymbol="3" navigationSymbolFontFamily="Goudy Stout">

            <ng-container *ngIf="(answer.answer01 == FOLLOW_UP_BY_PHONE && answer.answer02 == 'yes') || (answer.answer01 == FOLLOW_UP_BY_VISIT && answer.answer02 == 'yes') || (answer.answer01 == FOLLOW_UP_BY_WALKIN);then interest else reschedule"></ng-container>

            <ng-template #interest>
                <!-- (Answer 1 == Telepon && Answer 2 == Ya)-->
                <div>
                    <label>Apakah Prospect tertarik?</label><br>
                    <div>
                        <div class="ui-g-12">
                            <p-radioButton name="group3" value="yes" label="Ya" [(ngModel)]="answer.answer03"></p-radioButton>
                        </div>
                        <div class="ui-g-12">
                            <p-radioButton name="group3" value="no" label="Tidak" [(ngModel)]="answer.answer03"></p-radioButton>
                        </div>
                    </div>
                </div>
            </ng-template>

            <ng-template #reschedule>
                <div>
                    <label>Reschedule Still ON GOING</label><br>
                </div>
            </ng-template>

            <div>
                <button *ngIf="answer.answer02 == null" pButton type="button" label="KEMBALI" icon="" class="ui-button-danger flat-label-button" goToStep="0">
                </button>
                <button *ngIf="answer.answer02 != null" pButton type="button" label="KEMBALI" icon="" class="ui-button-danger flat-label-button" previousStep>
                </button>
                <button *ngIf="answer.answer03 != 'yes'" pButton type="button" [disabled]="answer.answer03 == null" label="LANJUT" icon="" class="ui-button-danger flat-label-button" nextStep>
                </button>
                <button *ngIf="answer.answer03 == 'yes'" pButton type="button" [disabled]="answer.answer03 != 'yes'" label="SUBMIT" icon="" class="ui-button-danger flat-label-button" (click)="save()">
                </button>
                <button *ngIf="answer.answer02 == 'no'" pButton type="button" label="SUBMIT" icon="" class="ui-button-danger flat-label-button" (click)="save()">
                </button>
        </wizard-step>
        <wizard-step title="" navigationSymbol="4" navigationSymbolFontFamily="Goudy Stout">

            <div *ngIf="answer.answer03 == 'no'">
                <label>Alasan Tidak Tertarik?</label><br>
                <div>
                    <div class="ui-g-12">
                        <p-radioButton name="group4" value="Belum Butuh" label="Belum Butuh" [(ngModel)]="answer.answer04"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group4" value="Tidak Berminat" label="Tidak Berminat" [(ngModel)]="answer.answer04"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group4" value="Beli Pada Dealer Lain" label="Beli Pada Dealer Lain" [(ngModel)]="answer.answer04"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group4" value="Beli Di Kompetitor" label="Beli Di Kompetitor" [(ngModel)]="answer.answer04"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group4" value="Masih Ada Cicilan" label="Masih Ada Cicilan" [(ngModel)]="answer.answer04"></p-radioButton>
                    </div>
                    <div class="ui-g-12">
                        <p-radioButton name="group4" value="Lainnya" label="Lainnya" [(ngModel)]="answer.answer04"></p-radioButton>
                    </div>
                    <div class="ui-g-12" style="padding-left:30px;">
                        <textarea pInputTextarea class="ui-g-11" id="field_other" name="other" [(ngModel)]="answer.note" [disabled]="answer.answer04 != 'Lainnya'"></textarea>
                    </div>
                </div>
            </div>
            <div class="ui-g-12">
                <button pButton type="button" label="KEMBALI" icon="" class="ui-button-danger flat-label-button" previousStep>
                </button>
                <button pButton type="button" label="SUBMIT" icon="" class="ui-button-danger flat-label-button" (click)="save()">
                </button>
            </div>
        </wizard-step>
    </wizard>

    <p-footer>
    </p-footer>
</p-panel>

<p-confirmDialog></p-confirmDialog>

</form>